package de.limited_dev.lil_judd.listeners;

import de.limited_dev.lil_judd.Main;
import de.limited_dev.lil_judd.features.TimePlanner;
import de.limited_dev.lil_judd.features.storage.GuildTimePlannerStorage;
import de.limited_dev.lil_judd.util.DayUtil;
import de.limited_dev.lil_judd.util.EmbeddedMessageHelper;
import de.limited_dev.lil_judd.util.Logger;
import de.limited_dev.lil_judd.util.SlashCommandHelper;
import net.dv8tion.jda.api.JDA;
import net.dv8tion.jda.api.entities.Guild;
import net.dv8tion.jda.api.events.ReadyEvent;
import net.dv8tion.jda.api.hooks.ListenerAdapter;
import org.jetbrains.annotations.NotNull;

import java.time.Duration;
import java.time.ZoneId;
import java.time.ZonedDateTime;
import java.util.Set;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

public class ReadyListener extends ListenerAdapter {
    private final Logger lgr = Main.getLgr();
    private final GuildTimePlannerStorage gtps = TimePlanner.getGtps();

    @Override
    public void onReady(@NotNull ReadyEvent event) {
        String usernameOfSelf = Main.getJda().getSelfUser().getName();

        SlashCommandHelper.addSlashCommandsToGuild();

        lgr.info("Logged into: " + usernameOfSelf);
        lgr.info(usernameOfSelf + " is ready for Freddy");
    }
}
