package de.limited_dev.lil_judd.util;

import de.limited_dev.lil_judd.Main;
import net.dv8tion.jda.api.EmbedBuilder;
import net.dv8tion.jda.api.entities.Guild;
import net.dv8tion.jda.api.entities.channel.concrete.TextChannel;
import net.dv8tion.jda.api.events.Event;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;

import java.awt.*;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.concurrent.TimeUnit;

public class EmbeddedMessageHelper {
    private static final DateTimeFormatter dtf = DateTimeFormatter.ofPattern("dd/MM/yyyy @ HH:mm:ss");

    public static void sendSimpleOneLiner(SlashCommandInteractionEvent event, String title, String description, String thumbnailURL){
        LocalDateTime now = LocalDateTime.now();
        EmbedBuilder eb = new EmbedBuilder();

        eb.setAuthor(Main.getJda().getSelfUser().getName());
        eb.setTitle(title);
        eb.setColor(Color.ORANGE);
        eb.setDescription(description);
        if(thumbnailURL != null)
            eb.setThumbnail(thumbnailURL);
        eb.setFooter(">" + dtf.format(now) + " - " + event.getUser().getName() + "#" + event.getUser().getDiscriminator());
        event.replyEmbeds(eb.build()).queue();
    }

    public static void sendSimpleOneLiner(Guild g, long channelID, String title, String description, String thumbnailURL){
        LocalDateTime now = LocalDateTime.now();
        EmbedBuilder eb = new EmbedBuilder();

        eb.setAuthor(Main.getJda().getSelfUser().getName());
        eb.setTitle(title);
        eb.setColor(Color.ORANGE);
        eb.setDescription(description);
        if(thumbnailURL != null)
            eb.setThumbnail(thumbnailURL);
        eb.setFooter(">" + dtf.format(now) + " - Automated Message");
        g.getTextChannelById(channelID).sendMessageEmbeds(eb.build()).queue();
    }

    public static void sendSimpleOneLiner(Guild g, long channelID, String title, String description, String thumbnailURL, int delay){
        LocalDateTime now = LocalDateTime.now();
        EmbedBuilder eb = new EmbedBuilder();

        eb.setAuthor(Main.getJda().getSelfUser().getName());
        eb.setTitle(title);
        eb.setColor(Color.ORANGE);
        eb.setDescription(description);
        if(thumbnailURL != null)
            eb.setThumbnail(thumbnailURL);
        eb.setFooter(">" + dtf.format(now) + " - Automated Message");
        g.getTextChannelById(channelID).sendMessageEmbeds(eb.build()).queueAfter(delay, TimeUnit.SECONDS);
    }

    public static EmbedBuilder getEmbeddedMessageAutomated(boolean doAuthor, String title, String description, String thumbnailURL, boolean shouldAddFooter){
        LocalDateTime now = LocalDateTime.now();
        EmbedBuilder eb = new EmbedBuilder();
        if(doAuthor)
            eb.setAuthor(Main.getJda().getSelfUser().getName());
        if(title != null){
            eb.setTitle(title);
        }
        eb.setColor(Color.ORANGE);
        if(description != null)
            eb.setDescription(description);
        if(thumbnailURL != null)
            eb.setThumbnail(thumbnailURL);
        if(shouldAddFooter)
            eb.setFooter(">" + dtf.format(now) + " - Automated Message");
        return eb;
    }
}
